/*
	DeleteCmd.h - delete selected wave or template

	Will Eighteen, 2000: will@opaline.demon.co.uk             
*/


#ifndef DELETECMD_H
#define DELETECMD_H


#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif

#include <NoUndoCmd.h>


enum FILETYPE { WAVE, TEMPLATE };


class DMenuCmd;


class DeleteCmd : public NoUndoCmd
{
	public:
		DeleteCmd ( const char *, int active = TRUE, int fileType = 0 );
		virtual const char *const className() { return ( "DeleteCmd" ); }

	protected:
		virtual void doCommand();	// Delete

	private:
		static void srcMenuSelectionCallback ( void *, unsigned int, char * );

		void deleteItem ( unsigned int );

		unsigned _arrayItems;	// num items on menu
		int _fileType;			// 0 = 'wave', 1 = 'template'
		DMenuCmd *_menu;
		Boolean _popupRealised;
};

#endif
