/*
    SaveStateCmd.h - save mixer state (files, mixer settings)

    Will Eighteen: will@opaline.demon.co.uk
*/

#ifndef SAVESTATECMD_H
#define SAVESTATECMD_H

#include <NoUndoCmd.h>

class FileSelect;

class SaveStateCmd : public NoUndoCmd
{
	public:
		SaveStateCmd ( char *, int );
		
	protected:
		virtual void doCommand();
		char *_name;

	private:
	static void saveStateOkCallback ( void * );
		static void stateSelectedCallback ( void *, char * );
//		static void helpCallback ( void * );
		static void stateCancelledCallback ( void * );

		void stateSelected ( char * );
		void saveState();
		FileSelect *_fileSelect;	
		char *_filename;
		Boolean _popupRealised;
};


#endif

/*
  Notes:
  
  The state file has a 2-int header: num wavePaks, num templatePaks
  This is followed by the wave, then template, paks themselves.
*/
