/* 
 MenuBar.h - menu bar supporting panes of Cmd objects

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/


#ifndef MENUBAR_H
#define MENUBAR_H

#include "Interface.h"

class Cmd;
class CmdList;


class MenuBar : public Interface
{
	public:
		MenuBar ( const char *, Widget );
		// create named menu pane from list of Cmd objects
		virtual void addCommands ( CmdList * );
		virtual void createPulldown  ( Widget, CmdList * );
		virtual const char *const className() { return ( "MenuBar" ); }
};

#endif

/*
  Notes:
  
  The MenuBar class creates a menu from a list of Cmd objects, creating a menu
  entry for each command in the list. The addCommands() member function takes a
  CmdList object and a string, creating a menu pane with an entry for each Cmd
  object and a name for the pulldown pane.
*/
